org.hibernate.search.elasticsearch.work.impl

## Class IndexWork

- java.lang.Object
- - org.hibernate.search.elasticsearch.work.impl.SimpleElasticsearchWork<R>
  - - org.hibernate.search.elasticsearch.work.impl.SimpleBulkableElasticsearchWork<Void>
    - - org.hibernate.search.elasticsearch.work.impl.IndexWork

- All Implemented Interfaces:
    BulkableElasticsearchWork<Void>, ElasticsearchWork<Void>

      public class IndexWork
      extends SimpleBulkableElasticsearchWork<Void>

  Author:
    Yoann Rodiere

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `IndexWork.Builder`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected IndexingMonitor` | `indexingMonitor`

    - ### Fields inherited from class org.hibernate.search.elasticsearch.work.impl.SimpleElasticsearchWork

      `dirtiedIndexName, markIndexDirty, request, resultAssessor`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IndexWork(IndexWork.Builder builder)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected CompletableFuture<?>` | `afterSuccess(ElasticsearchWorkExecutionContext context)`
    `protected Void` | `generateResult(ElasticsearchWorkExecutionContext context, ElasticsearchResponse response)`
    `protected Void` | `generateResult(ElasticsearchWorkExecutionContext context, com.google.gson.JsonObject bulkResponseItem)`

    - ### Methods inherited from class org.hibernate.search.elasticsearch.work.impl.SimpleBulkableElasticsearchWork

      `aggregate, beforeExecute, getBulkableActionBody, getBulkableActionMetadata, handleBulkResult`

    - ### Methods inherited from class org.hibernate.search.elasticsearch.work.impl.SimpleElasticsearchWork

      `execute, getLuceneWork, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.hibernate.search.elasticsearch.work.impl.ElasticsearchWork

      `execute, getLuceneWork`

- - ### Field Detail

    - #### indexingMonitor

          protected final IndexingMonitor indexingMonitor

  - ### Constructor Detail

    - #### IndexWork

          public IndexWork(IndexWork.Builder builder)

  - ### Method Detail

    - #### generateResult

          protected Void generateResult(ElasticsearchWorkExecutionContext context,
                                        ElasticsearchResponse response)

      Specified by:
        `generateResult` in class `SimpleElasticsearchWork<Void>`

    - #### generateResult

          protected Void generateResult(ElasticsearchWorkExecutionContext context,
                                        com.google.gson.JsonObject bulkResponseItem)

      Specified by:
        `generateResult` in class `SimpleBulkableElasticsearchWork<Void>`

    - #### afterSuccess

          protected CompletableFuture<?> afterSuccess(ElasticsearchWorkExecutionContext context)

      Overrides:
        `afterSuccess` in class `SimpleElasticsearchWork<Void>`

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved